Questo plugin non è stato testato con le ultime 3 versioni principali (major releases) di WordPress. Potrebbe non essere più mantenuto, o supportato, e potrebbe presentare problemi di compatibilità se utilizzato con versioni più recenti di WordPress.

Dismiss Gutenberg Nag

Descrizione

Rimuove il fastidioso widget prova Gutenberg dalla bacheca, il menu demo e il menu redirect, quando viene attivato, o automaticamente, se è inserito nella directory mu-plugins. Lo sviluppo di questo plugin avviene su GitHub e Travis CI. Rimuovi Gutenberg Nag è il migliore compagno di Rimuovi Benvenuto Nag e Rimuovi Privacy Tools. Compatibile con le traduzioni di GlotPress. Funziona sia con una installazione singola che multisito (multisite). Plugin approvato nel repository della directory dei plugin il 05/11/2017

Non è un rimpiazzo ma uno strumento per chi ne ha bisogno.

Ad oggi, il fastidioso widget prova Gutenberg della bacheca, introdotto in anteprima in WP 4.9-beta3, in WP 4.9.5-beta1-42869, e in WP 4.9.8-beta1-43502, rimosso rispettivamente in WP 4.9-beta4, in WP 4.9-RC1, in WP 4.9-RC2, in WP 4.9-RC3, in WP 4.9.0, in WP 4.9.1, in WP 4.9.2, in WP 4.9.3, in WP 4.9.4, in WP 4.9.5-beta1-42883, in WP 4.9.5, in WP 4.9.6, in WP 4.9.7, in WP 4.9.9, in WP 5.0-alpha, and in WP 5.1-alpha, è stato inserito nel core di WP 4.9.8 e WP 5.0+ in base a questo ticket e questo ticket.

E’ utilizzato il Versionamento Semantico MAJOR.MINOR.PATCH

La versione futura 1.0.6 disabilita opzionalmente il Gutenberg Editor e lo sostituisce con il Classic Editor.

Si noti che questo plugin non aggiunge il proprio codice personalizzato a WordPress (per non creare incompatibilità impreviste con Gutenberg o con il Classic Editor), ma si limita alla sola gestione e configurazione delle sue funzioni, per offrire il massimo della sua esperienza d’uso, senza introdurre problemi aggiuntivi.

Come funziona?

Per impostazione predefinita, prova Gutenberg viene visualizzato solo per utenti con capacità di amministratore in WordPress 4.9.8 e 4.9.9 o in WordPress 5.0+ ma quando il plugin Gutenberg viene installato e attivato, viene visualizzato per tutti i tipi di capacità utente.

In aggiunta al normale funzionamento, una pagina di configurazione delle opzioni viene aggiunta alle impostazioni di scrittura del menu di amministrazione del pannello di controllo in modo da poter settare la visualizzazione del callout (invito all’azione) in base alle proprie specifiche esigenze. Attenersi agli screenshot per ulteriori dettagli.

Suggerimento

Un semplice trucco, è quello di copiare il file dismiss-gutenberg.nag.php nella directory /wp-content/mu-plugins/ (se non esiste crearla) in modo che venga attivato automaticamente, anche durante il setup della prima installazione di WordPress.

Spiegazione

Questo, è diverso dagli altri plugins simili, perché utilizza l’hook (uncino – gancio) del filtro e non l’hook (uncino – gancio) dell’azione. I filtri, dovrebbero filtrare informazioni, tuttavia, sono ancora hooks (uncini – ganci) delle azioni. WordPress definisce add_filter/remove_filter come “aggancia una funzione ad un’azione specifica del filtro”, e add_action/remove_action come “aggancia una funzione ad un’azione specifica”.

Che cosa è Gutenberg?

Gutenberg è la nuova esperienza di editing a blocchi per WordPress 5.0+

A proposito

Il codice di questo plugin, non è scritto con un framework php, ma con un semplice editor php, manualmente, compatibile con UTF-8 senza BOM, e Unix LF. Per evitare la corruzione del codice, non modificarlo con l’editor incorporato di WordPress, o con un editor incompatibile con queste specifiche!

Traduzione

Tradotto da: Luciano Croce

Questo è un progetto stabile, ma è ancora in pieno sviluppo (in divenire). Le traduzioni nei vari linguaggi saranno momentaneamente fatte solo per le parti che quasi sicuramente non saranno cambiate più volte in questa fase.

Disponibile a breve in: Americano, Australiano, Belga FR, Brasiliano, Canadese EN, Canadese FR, Catalano, Cileno, Colombiano, Francese, Inglese, Italiano, Neozelandese, Peruviano, Portoghese, Spagnolo, Svizzero, Tedesco, Venezuelano, e altri linguaggi in divenire.

Ringraziamenti

Grazie ad Andrea Gandino (andg) per l’approvazione della traduzione in Italiano, prima che io diventassi PTE dei miei plugin.

Grazie a Garrett Hyder per l’approvazione della traduzione in Inglese (Canada) e i contributi sul codice.

Grazie a Pascal Birchler per i contributi sul codice.

Screenshot (schermate di esempio)

  • Widget attivo nella bacheca - Schermata 1 di 6
  • Widget rimosso dalla bacheca - Schermata 2 di 6
  • Pagina di configurazione delle opzioni - Schermata 3 di 6
  • Attivo come singolo plugin - Schermata 4 di 6
  • Attivo come mu-plugins - Schermata 5 di 6
  • Vecchio widget attivo nella bacheca - Schermata 6 di 6

FAQ

Impostazioni delle opzioni di configurazione del callout

Rimuove condizionalmente il callout “prova Gutenberg”.

Per impostazione predefinita viene rimosso per tutti i tipi di utente!

Una volta attivato aggiunge nuove opzioni in Impostazioni -> Scrittura:

  • Disattiva per tutti gli utenti.
  • Disattiva per tutti gli utenti non editori (capacità edit_posts).
  • Disattiva per tutti gli utenti specificati (solo utenti selezionati).

Crediti e riconoscimenti

“Dismiss Gutenberg Nag” è un software open source. Le persone che hanno contribuito allo sviluppo di questo plugin sono indicate di seguito.

Collaboratori

“Dismiss Gutenberg Nag” è stato tradotto in 6 lingue. Grazie ai traduttori per i loro contributi.

Traduci “Dismiss Gutenberg Nag” nella tua lingua.

Ti interessa lo sviluppo?

Esplora il Codice segui il Repository SVN iscriviti al Log delle Modifiche. Puoi farlo tramite RSS con un lettore di feed.

Changelog (registro delle modifiche)

Plugin approvato nella directory il 05/11/2017

Le modifiche dettagliate e la versione beta sono disponibili su: GitHub.

Nuova versione prevista 1.0.6 (2018-12-31) in divenire

  • Supporto preliminare per i transient (ove possibile)
  • Supporto preliminare per disabilitare il Block Editor (Gutenberg)
  • Supporto preliminare per sostituire il Block Editor con il Classic Editor

1.0.5

Data di Rilascio: 23 Novembre 2018

  • Pulizia e ottimizzazione del codice
  • Migliorata la compatibilità multisite (multisito)
  • Migliorate le stringhe di testo per ottimizzare le traduzioni
  • Compatibile con WordPress 5.0-RC
  • Compatibile con WordPress 5.0-beta5
  • Compatibile con WordPress 5.0-beta4
  • Compatibile con WordPress 5.0-beta3
  • Compatibile con WordPress 5.0-beta2
  • Compatibile con WordPress 5.0-beta1
  • Compatibile con il Block Editor (Gutenberg)
  • Compatibile con il Classic Editor (aka TinyMCE Editor)
  • Supporto preliminare per WordPress 4.9.9-alpha
  • Supporto preliminare per WordPress 5.0.1-alpha
  • Supporto preliminare per WordPress 5.1.0-alpha
  • Supporto preliminare per PHP 7.3+
  • NOVITÀ Rimozione del Gutenberg Demo Menu
  • NOVITÀ Disabilitato il Gutenberg Redirect Demo Nag
  • CORREZIONE Block Editor (Gutenberg) compatibility
  • CORREZIONE Classic Editor (aka TinyMCE Editor) compatibility
  • CORREZIONE Unexpected disabilitation of Block Editor (Gutenberg)

1.0.4

Data di Rilascio: 06 Agosto 2018

  • Compatibile con WordPress 4.9.8
  • Funziona con WordPress 4.9.8
  • Supporto preliminare per WordPress 5.0-alpha
  • Sostituito register_activation_hook per la compatibilità con mu-plugins
  • NOVITÀ Aggiunta routine disinstallazione (solo per attivazioni singole)
  • CORREZIONE Aggiunta la funzione mancante muplugins_loaded

1.0.3

Data di Rilascio: 02 Agosto 2018

  • Compatibile con WordPress 4.9.8-RC3
  • Compatibile con WordPress 4.9.8-RC2
  • Compatibile con WordPress 4.9.8-RC1
  • Compatibile con WordPress 4.9.8-beta3
  • Compatibile con WordPress 4.9.8-beta2
  • Compatibile con WordPress 4.9.8-beta1-43502
  • NOVITÀ Aggiunte impostazioni opzioni configurazione callout
  • NOVITÀ Formattazione automatica date_i18n – Grazie Garrett Hyder
  • NOVITÀ Formattazione automatica get_locale – Grazie Pascal Birchler
  • NOVITÀ Aggiunte variabili per soddisfare linee guida plugin

1.0.2

Data di Rilascio: 22 Marzo 2018

  • Compatibile con WordPress 4.9.5-beta1-42869
  • Funziona con WordPress 4.9.5-beta1-42869

1.0.1

Data di Rilascio: 5 Novembre 2017

  • Compatibile con WordPress 4.9-beta3
  • Funziona con WordPress 4.9-beta3
  • Assicurarsi che venga eseguito sotto WP 4.9-beta3 o superiore
  • Funziona con PHP dalla versione 5.2.4 alla 7.1+ ~ 7.2+
  • Assicurarsi che venga eseguito sotto PHP 5.2.4 o superiore
  • Compatibile con MySQL 5.5+ and 5.6+ o superiore
  • Compatibile con MariaDB 5.5+ e 10.0+ o superiore
  • Compatibile con le traduzioni di GlotPress
  • Compatibile con la funzione load_plugin_textdomain
  • Compatibile con la funzione load_muplugin_textdomain

1.0.0

Data di Rilascio: 30 Ottobre 2017

  • Primo rilascio iniziale del plugin
  • Utilizza il filter hook e non l’action hook
  • Compatibile con WordPress Multisite
  • Compatibile con la directory mu-plugins
  • Compatibile con il setup della prima installazione
  • Compatibile con la famosa installazione in 5 minuti
  • Compatibile con MySQL 5.0+ o superiore
  • Richiede la versione di WordPress 4.9-beta3 o superiore
  • Richiede la versione di PHP 5.2.4 o superiore